Subject: Re: bug#804: init: should depend on openrc

From: Mark Hindley <[email-masked]>
Date: Wed, 22 Nov 2023 10:26:59 +0000

Lorietta,

Thanks for this.

On Wed, Nov 22, 2023 at 09:28:57AM +0000, meow wrote:
>    Package: init
>    Version: 1.65.2devuan1
>    Severity: grave
>    Justification: renders package unusableX-Debbugs-Cc:
>    [email-masked]
>    Dear Maintainer,
>    The init meta package must depend on the openrc package.The openrc
>    package contains an implementation of PID1 - openrc-init.

Yes, but openrc provides /sbin/openrc-init not /sbin/init. The init package
depends on packages which provide /sbin/init.

>    I've been using openrc-init instead of sisvinit for a long time,

Great

>    but I can't remove sysvinit because when I remove it, runit-init is
>    automatically installed, which I don't need either.

Try removing the init package, it has very few reverse dependencies and is
really only there to ensure a working init when bootstrapping. It is marked
important so apt may refuse to remove, but you can still remove it with dpkg

 dpkg --remove init

Then you should be able to remove sysvinit-core as well.

Mark